import React from "react";
import StorageUnitInstance from "./storageUnitInstance/storageUnitInstance";
import { useStorageUnitStore } from "../../../../store/simulation/useStorageUnitStore";
import StorageContentUi from "../../ui3d/StorageContentUi";
import { useViewSceneStore } from "../../../../store/builder/store";

function StorageUnitInstances() {
  const { storageUnits } = useStorageUnitStore();
  const { viewSceneLabels } = useViewSceneStore();

  return (
    <>
      {storageUnits.map((storageUnit: StorageUnitStatus) => (
        <React.Fragment key={storageUnit.modelUuid}>
          <StorageUnitInstance storageUnit={storageUnit} />
          {viewSceneLabels && <StorageContentUi storageUnit={storageUnit} />}
        </React.Fragment>
      ))}
    </>
  );
}

export default StorageUnitInstances;
