interface Asset {
    modelUuid: string;
    modelName: string;
    assetId: string;
    position: [number, number, number];
    rotation: [number, number, number];
    isLocked: boolean;
    isCollidable: boolean;
    isVisible: boolean;
    opacity: number;
    animations?: string[];
    animationState?: {
        current: string;
        playing: boolean;
    };
    eventData?: {
        type: string;
        point?: {
            uuid: string;
            position: [number, number, number];
            rotation: [number, number, number];
        }
        points?: {
            uuid: string;
            position: [number, number, number];
            rotation: [number, number, number];
        }[];
    }
};

type Assets = Asset[];


interface Point {
    uuid: string;
    position: [number, number, number];
    layer: number;
}

interface AisleType {
    typeName: 'Aisle';
    material: string;
    aisleType: 'solid-aisle' | 'dashed-aisle' | 'stripped-aisle' | 'dotted-aisle' | 'arrow-aisle'| 'arrows-aisle' | 'arc-aisle' | 'circle-aisle' | 'junction-aisle';
    color: string;
    width: number;
}

interface Aisle {
    uuid: string;
    points: [Point, Point];
    type: AisleType;
}

type Aisles = Aisle[];